Package org.wso2.carbon.proxyadmin

## Class ProxyServicePolicyInfo

- java.lang.Object
- - org.wso2.carbon.proxyadmin.ProxyServicePolicyInfo

-     public class ProxyServicePolicyInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProxyServicePolicyInfo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getKey()` |
    `String` | `getOperationName()` |
    `String` | `getOperationNS()` |
    `String` | `getType()` |
    `void` | `setKey​(String key)` |
    `void` | `setOperationName​(String operationName)` |
    `void` | `setOperationNS​(String operationNS)` |
    `void` | `setType​(String type)` |
    `org.apache.axiom.om.OMElement` | `toOM​(org.apache.axiom.om.OMFactory fac, org.apache.axiom.om.OMNamespace ns, org.apache.axiom.om.OMNamespace nullNS)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyServicePolicyInfo

          public ProxyServicePolicyInfo()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### setKey

          public void setKey​(String key)

    - #### getOperationName

          public String getOperationName()

    - #### setOperationName

          public void setOperationName​(String operationName)

    - #### getOperationNS

          public String getOperationNS()

    - #### setOperationNS

          public void setOperationNS​(String operationNS)

    - #### getType

          public String getType()

    - #### setType

          public void setType​(String type)

    - #### toOM

          public org.apache.axiom.om.OMElement toOM​(org.apache.axiom.om.OMFactory fac,
                                                    org.apache.axiom.om.OMNamespace ns,
                                                    org.apache.axiom.om.OMNamespace nullNS)
                                             throws ProxyAdminException

      Throws:
        `ProxyAdminException`